<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceAvail StructType
 * @subpackage Structs
 */
class ServiceAvail extends AbstractStructBase
{
    /**
     * The ServiceAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceAvailabilityRQ
     */
    public $ServiceAvailRQ;
    /**
     * Constructor method for ServiceAvail
     * @uses ServiceAvail::setServiceAvailRQ()
     * @param \StructType\JP_ServiceAvailabilityRQ $serviceAvailRQ
     */
    public function __construct(\StructType\JP_ServiceAvailabilityRQ $serviceAvailRQ = null)
    {
        $this
            ->setServiceAvailRQ($serviceAvailRQ);
    }
    /**
     * Get ServiceAvailRQ value
     * @return \StructType\JP_ServiceAvailabilityRQ|null
     */
    public function getServiceAvailRQ()
    {
        return $this->ServiceAvailRQ;
    }
    /**
     * Set ServiceAvailRQ value
     * @param \StructType\JP_ServiceAvailabilityRQ $serviceAvailRQ
     * @return \StructType\ServiceAvail
     */
    public function setServiceAvailRQ(\StructType\JP_ServiceAvailabilityRQ $serviceAvailRQ = null)
    {
        $this->ServiceAvailRQ = $serviceAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServiceAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
